package capitulo05.bloque04.bancos;

import capitulo04.utils.Utils;

public class Principal {
    public static void main(String[] args) {
        Cuenta[] cuentas = new Cuenta[5];

        System.out.println("Antes del interés");
        for (int i = 0; i < cuentas.length; i++) {
            cuentas[i] = new Cuenta((float)Utils.generarNumAleatorio(100));
            System.out.println(cuentas[i].toString());
        }

        for (int i = 0; i < 5; i++) {
            for (int j = 0; j < cuentas.length; j++) {
                Banco.cambiarTasaDeInteres(cuentas[i]);
            }
        }

        System.out.println("Después del interés");
        for (Cuenta c : cuentas) {
            System.out.println(c.toString());
        }
    }
}
